org.apache.synapse.transport.certificatevalidation.crl

## Class CRLVerifier

- java.lang.Object
- - org.apache.synapse.transport.certificatevalidation.crl.CRLVerifier

- All Implemented Interfaces:
    RevocationVerifier

      public class CRLVerifier
      extends java.lang.Object
      implements RevocationVerifier

  This is used to verify a certificate is revoked or not by using the Certificate Revocation List published by the CA.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLVerifier(CRLCache cache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RevocationStatus` | `checkRevocationStatus(java.security.cert.X509Certificate peerCert, java.security.cert.X509Certificate issuerCert)` Checks revocation status (Good, Revoked) of the peer certificate.
    `protected java.security.cert.X509CRL` | `downloadCRLFromWeb(java.lang.String crlURL)` Downloads CRL from the crlUrl.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLVerifier

          public CRLVerifier(CRLCache cache)

  - ### Method Detail

    - #### checkRevocationStatus

          public RevocationStatus checkRevocationStatus(java.security.cert.X509Certificate peerCert,
                                                        java.security.cert.X509Certificate issuerCert)
                                                 throws CertificateVerificationException

      Checks revocation status (Good, Revoked) of the peer certificate. IssuerCertificate can be used to check if the CRL URL has the Issuers Domain name. But this is not implemented at the moment.
      Specified by:
        `checkRevocationStatus` in interface `RevocationVerifier`
      Parameters:
        `peerCert` - peer certificate
        `issuerCert` - issuer certificate of the peer. not used currently.
      Returns:
        revocation status of the peer certificate.
      Throws:
        `CertificateVerificationException`

    - #### downloadCRLFromWeb

          protected java.security.cert.X509CRL downloadCRLFromWeb(java.lang.String crlURL)
                                                           throws java.io.IOException,
                                                                  CertificateVerificationException

      Downloads CRL from the crlUrl. Does not support HTTPS
      Throws:
        `java.io.IOException`
        `CertificateVerificationException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.